<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>Redirect Vs Forwarding</title>
</head>

<body>
  <h1>Using redirect (calling to RedirectController)</h1>
  <form action="/redirect" method="post">
    <label>Write something to send: <input type="text" name="message" /></label><br />
    <button type="submit">Send</button>
  </form>
  <h1>Using Forward (calling to ForwardController)</h1>
  <form action="/forward" method="post">
    <label>Write something to send: <input type="text" name="message" /></label><br />
    <button type="submit">Send</button>
  </form>
</body>

</html>